#!/usr/bin/make -f
FC=g95 
FORT90CPX=
OPT= -O2 -Wall -ffree-line-length-huge -ffixed-line-length-132 -cpp -IC:/mpich2/include -LC:/mpich2/lib #-ftrace=full -fbounds-check

.PHONY: run clean
	
.SUFFIXES: .f90


.f.o:
	$(FC) $(FORT90CPX) $(OPT) -c $<
.f90.o:
	$(FC) $(FORT90CPX) $(OPT) -c $<

all: LiSDAS-2-7-mpi.exe

OBJS = diff.o main.o LiSDAS-2-7-mpi.o
LiSDAS-2-7-mpi.exe: $(OBJS)
	$(FC) $(OPT) $(OBJS) -o $@
diff.o: diff.f90
LiSDAS-2-7-mpi.o: LiSDAS-2-7-mpi.f
	$(FC) $(OPT) -c $< -o $@

clean:
	rm *.o *.exe *.log

run:
	(export OMP_NUM_THREADS=8; mpiexec -n 1 ./LiSDAS-2-7-mpi.exe)
