#! /bin/bash -x
#PJM --rsc-list "node=8"
#PJM --rsc-list "elapse=00:60:00"
#PJM -s
#
. /work/system/Env_base

export WORK=/work/user0042/
export OMP_NUM_THREADS=8

# Use this line to get profile
#fpcoll -Srange -pall -Icall,balance -Ihwm -o prof_normal2_8_version3.txt mpiexec lpgparm -s 4MB -d 4MB -h 4MB -t 4MB -p 4MB ./LiSDAS-2-7-mpi.exe

# Use this line to execute normally
mpiexec lpgparm -s 32MB -d 32MB -h 32MB -t 32MB -p 32MB ./LiSDAS-2-7-mpi.exe

mpiexec /work/system/bin/msh sync
