#!/usr/ccs/bin/make -f
FC=mpifrt
OPT=-KOMP -Am -Kfast -X9 -w -Cpp -Qt #-Ktl_trt
#OPT=-g -DDEBUG -Haes -KOMP -Am -X9 -w -Cpp
.PHONY: run clean

# .SUFFIXES:
# .SUFFIXES: .f .o .c .cpp
.SUFFIXES: .f90

.f.o:
	$(FC) $(OPT) -c $<
.f90.o:
	$(FC) $(OPT) -c $<

all: LiSDAS-2-7-mpi.exe speed-test.exe 

OBJS = diff.o main.o LiSDAS-2-7-mpi.o
LiSDAS-2-7-mpi.exe: $(OBJS)
	$(FC) $(OPT) $(OBJS) -o $@
diff.o: diff.f90
LiSDAS-2-7-mpi.o: LiSDAS-2-7-mpi.f
	$(FC) $(OPT) -c $< -o $@

OBJS2 = diff.o LiSDAS-2-7-mpi.o speed-test.o
speed-test.exe: $(OBJS2)
	$(FC) $(OPT) $(OBJS2) -o $@

clean:
	rm *.o *.exe *.log *.mod

# run
