#!/usr/bin/make -f
FC=mpiifort
#OPT=-KOMP -Am -Kfast -X9 -w -Cpp -Qt #-Ktl_trt
OPT=-extend-source -cpp -O3
#OPT=-g -DDEBUG -Haes -KOMP -Am -X9 -w -Cpp
.PHONY: run clean

# .SUFFIXES:
# .SUFFIXES: .f .o .c .cpp
.SUFFIXES: .f90

.f.o:
	$(FC) $(OPT) -c $<
.f90.o:
	$(FC) $(OPT) -c $<

all: LiSDAS-2-7-mpi.exe #LiSDAS-2-7-mpi-flat.exe 

OBJS = diff.o main.o LiSDAS-2-7-mpi.o
LiSDAS-2-7-mpi.exe: $(OBJS)
	$(FC) $(OPT) $(OBJS) -o $@
diff.o: diff.f90
LiSDAS-2-7-mpi.o: LiSDAS-2-7-mpi.f
	$(FC) $(OPT) -c $< -o $@

clean:
	rm *.o *.exe *.log *.mod

# run
